#!/content/echodep/perl/bin/perl -w

use CGI qw(:standard);
use Biblio::Citation::Parser::Standard; 

$cgi = new CGI;    # Create CGI instance 
$citation = $cgi->param('citation'); # Retrieve value from citation parameter

my $parser = new Biblio::Citation::Parser::Standard(); # Create Paratools instance
my $metadata = $parser->parse("$citation");  # Parse input and save in variable metadata, which is a hash abstracted from the user


# Following creates a string in which elements are separated by commas:
# M,Jewell,Making Examples for Reference Parsers,Journal of Example  
# Writing,2002,3,100
print "Content-Type: text/plain\n";         
print $cgi->header();
print $metadata->{aufirst}.",";
print $metadata->{aulast}.",";
print $metadata->{atitle}.",";
print $metadata->{title}.",";
print $metadata->{year}.",";
print $metadata->{issue}.",";
print $metadata->{pages};

#Below are Below are testing/temp/in progress functions:       
#$citation = <STDIN>; 
#$citation = "@ARGV"; # Commandline testing


# Example to test this script at commandline:
# perl parse.pl citation="Jewell, M (2002) Making Examples for Reference 
# Parsers. Journal # of Example Writing 3:100-150."

# keep permissions on this file as:
# chmod 755 parse.cgi
